Bug 802504

Summary: Cannot view directory entries in drift snapshot view
Product: [Other] RHQ Project Reporter: John Sanda <jsanda>
Component: Core UIAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.3CC: hrupp, jkandasa, jshaughn
Target Milestone: ---   
Target Release: RHQ 4.4.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 815757 (view as bug list) Environment:
Last Closed: 2013-08-31 06:14:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 735475    
Attachments:
Description Flags
screen shot of the issue none

Description John Sanda 2012-03-12 13:11:53 EDT
Description of problem:
When you go to the snapshot view for a drift definition and expand a directory row, the directory contents do not render. The row appears to expand, but the table that contains the directory contents does not render. This may be another regression from the SmartGWT upgrade.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a drift definition.
2. Generate an initial snapshot.
3. Go to view the initial snapshot.
4. Click on the arrow on the row for the base directory.
  
Actual results:
The row expands but you will not see the files in the base directory.


Expected results:
You should see the files in the directory.

Additional info:
Comment 1 John Sanda 2012-03-12 13:12:55 EDT
Created attachment 569462 [details]
screen shot of the issue
Comment 2 John Sanda 2012-03-13 09:28:13 EDT
I have just tested and verified that the issue is happening in RHQ 4.3.0.
Comment 3 Jay Shaughnessy 2012-03-14 18:26:02 EDT
master commit 2977e0a0a40af3757693fa226f5c8d6145d0a688

The smartgwt upgrade had a bad effect on our expansion components. The
drift snapshot and drift template views both use expandable rows.  There
were a couple of contributing issues rooted in the fact that our
expansion components extended Table.  Table manipulates the
canvas and grids in a pretty heavy manner, and the expansion components
needed to be able to override a couple of things.  Another problem, for
whatever reason, was that Table's base component is an HLayout and in the
constructor we set the HLayout to Overflow.Hidden.  This messed up
expansion even though it seemed removed. Anyway, This setting was put in
place long ago and I don't think it's actually needed. So, I've commented
it out.

*** Review Alert ***
This is a change to Table that *seems* ok, if you know otherwise please
let me know !!!

If necessary, it could be added back in a way that it could be overridden
by a protected method, or set via constructor.
Comment 4 Jay Shaughnessy 2012-03-21 13:29:16 EDT
*** Bug 802501 has been marked as a duplicate of this bug. ***
Comment 5 Jeeva Kandasamy 2012-04-25 08:40:41 EDT
Verified on the Build:
Version: 4.4.0-SNAPSHOT
Build Number: 5ffafd2
GWT Version: 2.4.0
SmartGWT Version: 3.0

OS: RHEL 6.1 X86_64
Browser: Firefox ESR 10.0.3

Listing directory view as expected.
Comment 6 Heiko W. Rupp 2013-08-31 06:14:20 EDT
Bulk close of old bugs in VERIFIED state.